petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESNewtonTRGetPostCheck

Gets the post-check function

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESNewtonTRGetPostCheck(SNES snes, PetscErrorCode (**func)(SNES,Vec,Vec,Vec,PetscBool*,PetscBool*,void*),void **ctx)

Not collective

### Input Parameter

snes -the nonlinear solver context

### Output Parameters

| func | - [optional] function evaluation routine, see for the calling sequence SNESNewtonTRPostCheck()
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### See Also

SNESNewtonTRSetPostCheck(), SNESNewtonTRPostCheck()

### Level

intermediate

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages